> For the complete documentation index, see [llms.txt](https://docs.pagopa.it/manuale-back-office-pagopa/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pagopa.it/manuale-back-office-pagopa/manuale-bo-pagopa-psp/readme/funzionalita/external-api.md).

# External API

{% hint style="info" %}
Le API descritte in questa sezione hanno lo scopo di sostituire la vecchia primitiva deprecata [nodoChiediInformativaPA](https://docs.pagopa.it/sanp/appendici/primitive#nodochiediinformativapa). ([Funzionalità deprecate](https://docs.pagopa.it/sanp/appendici/funzionalita-deprecate))
{% endhint %}

{% hint style="success" %}
Lo swagger delle API è disponibile qui&#x20;

<https://developer.pagopa.it/pago-pa/api/elenco-IBAN-stazioni#/>
{% endhint %}

Questa sezione descrive le API che i PSP possono utilizzare per accedere alle seguenti informazioni:

* Elenco di tutti gli IBAN degli Enti Creditori aderenti alla piattaforma

**All IBAN API**

I dati che vengono restituiti dall'API sono i seguenti:

<table><thead><tr><th width="414">Nome Campo Logico</th><th width="181">Nome Campo API</th><th>Descrizione</th></tr></thead><tbody><tr><td>denominazioneEnte</td><td>ciName</td><td>denominazione dell'Ente Creditore</td></tr><tr><td>codiceFiscale</td><td>ciFiscalCode</td><td>codice fiscale dell'Ente Creditore</td></tr><tr><td>iban</td><td>iban</td><td>IBAN </td></tr><tr><td>stato</td><td>status</td><td>stato di attivazione dell'IBAN</td></tr><tr><td>dataAttivazioneIban</td><td>validityDate</td><td>data di attivazione dell'IBAN (coincide con il campo "data inizio" che si valorizza in fase di inserimento come descritto in <a href="/pages/xoDGVPkGzK0kJoOtRRZQ">Aggiungi Iban</a>)</td></tr><tr><td>descrizione</td><td>description</td><td>eventuale descrizione dell'IBAN</td></tr><tr><td>etichetta</td><td>label</td><td>etichetta che identifica se l'IBAN è di tipo "Stand IN" o "CUP".</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pagopa.it/manuale-back-office-pagopa/manuale-bo-pagopa-psp/readme/funzionalita/external-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
